# LocalizedLine

Class in [Yarn.Unity](/2.2/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

Represents a line, ready to be presented to the user in the localisation they have specified.

```csharp
public class LocalizedLine
```

## Fields

| Name                                                                                                           | Description                                     |
| -------------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| [Metadata](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.metadata.md)           | Any metadata associated with this line.         |
| [RawText](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.rawtext.md)             | DialogueLine's text                             |
| [Substitutions](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.substitutions.md) | DialogueLine's inline expression's substitution |
| [TextID](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.textid.md)               | DialogueLine's ID                               |

## Properties

| Name                                                                                                                                 | Description                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------- |
| [CharacterName](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.charactername.md)                       | The name of the character, if present.                                                                |
| [Text](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.text.md)                                         | The underlying `Yarn.Markup.MarkupParseResult` for this line.                                         |
| [TextWithoutCharacterName](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.textwithoutcharactername.md) | The underlying `Yarn.Markup.MarkupParseResult` for this line, with any `character` attribute removed. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.localizedline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
